unit uAbstractController;

interface

uses
	Windows, Classes, SysUtils, uCar, uMap, uPathSearcher;

type
	TController = class
	private
		fCar:TCar;
		fMap:TMap;
		fPath:TPathSearcher;
	public
		constructor Create(c:TCar;m:TMap;p:TPathSearcher);virtual;
		procedure Start;virtual;abstract;
		function Step:boolean;virtual;abstract;

		property Car:TCar read fCar;
		property Map:TMap read fMap;
		property Path:TPathSearcher read fPath;
	end;

implementation

{ TController }

constructor TController.Create(c: TCar; m: TMap; p: TPathSearcher);
begin
	fCar:=c;
	fMap:=m;
	fPath:=p;
end;

end.
